public class EnumTest {
    Day day;
    
    public EnumTest(Day dayi) {day = dayi;}
    
    public void tellItLikeItIs() {
        if (day==Day.MONDAY) {System.out.println(day+"s are bad.");}
        else if(day==Day.FRIDAY) {System.out.println(day+"s are better.");}           
        else if(day==Day.SATURDAY|day==Day.SUNDAY) {System.out.println(day+"weekends are best.");} 
        else System.out.println(day+" Midweek days are so-so.");

    }
    
    public static void main(String[] args) {
        EnumTest firstDay = new EnumTest(Day.MONDAY);
        firstDay.tellItLikeItIs();
        EnumTest thirdDay = new EnumTest(Day.WEDNESDAY);
        thirdDay.tellItLikeItIs();
        EnumTest fifthDay = new EnumTest(Day.FRIDAY);
        fifthDay.tellItLikeItIs();
        EnumTest sixthDay = new EnumTest(Day.SATURDAY);
        sixthDay.tellItLikeItIs();
        EnumTest seventhDay = new EnumTest(Day.SUNDAY);
        seventhDay.tellItLikeItIs();
    }
}